C  =======CALCULATION Y IJK(R)=================
      SUBROUTINE POT(ALFA,BET,H,R1,R6,K,NE5)
      REAL*8 ALFA,BET,H,DD,PP,TT,CC,
     * R1(*),R6(*)
      INTEGER K,NE5,NE
      NE=NE5-15
      DD=0.
      PP=0.
      TT=0.
      DO 1 II=1,NE
      CC=R6(II+1)*(R1(II+2)/(ALFA*R1(II+2)+BET))**2
      DD=(8.*PP-DD+5.*CC)*H/12.
      TT=TT+DD
      TT=TT/(1.+5.*DFLOAT(  K)*H/
     * (12.*(ALFA*R1(II+2)+BET)))
      DD=PP
      PP=CC-TT*DFLOAT( K)/(ALFA*R1(II+2)+BET)
    1 R6(II+1)=TT
      PP=0.
      DD=0.
      DO 2 IJ=1,NE
      II=NE-IJ+1
      CC=DFLOAT(2 *K+1 )*R6(II+1)/
     * (ALFA*R1(II+2)+BET)
      DD=(8.*PP-DD-5.*CC)*H/12.
      TT=TT-DD
      TT=TT/(5.*DFLOAT(K+1 )*H/(12.*
     * (ALFA*R1(II+2)+BET))+1.)
      DD=PP
      PP=DFLOAT(K+1)*TT/(ALFA*R1(II+2)+BET)-CC
    2 R6(II+1)=TT
      RETURN
      END
